# httpfuzz
Web server-based fingerprinting is a type of fingerprinting that allows security practitioners, penetration testers, and attackers to distinguish between servers based on the set of information they disclose. A common approach to hide this information is to apply fingerprinting mitigating techniques. In
this paper, we present a new approach for web server fingerprinting agnostic to the applied fingerprinting mitigation techniques. The premise of our approach is that detecting web servers does not require the servers to disclose their exact identities in the Server response header and that identification is possible based on how the servers handle different types of HTTP requests. We use the fuzzing approach for intelligent and adaptive selection of HTTP requests that are able to provoke servers to disclose their service-level information.

This project is a poc that utilises simple string fuzzing methods to mutate request lines. nc and cURL are utilised for sending the mutated requests. The responses are then collected and fit into a csv dataset. 
//TODO add stuff about ML here 

